package cn.freemud.demoTest.util;

import cn.freemud.demoTest.enums.TradeBizTypeEnum;
import cn.freemud.enums.OrderChannelType;

public class BizTypeUtil {

//    private final static String macafePartnerId = "";


    public static TradeBizTypeEnum getBizType (String channelType){

        if (channelType != null && OrderChannelType.SAAS.getCode().equals(channelType)) {
            return TradeBizTypeEnum.PLATFORM;
        }else if (channelType != null && OrderChannelType.SAASMALL.getCode().equals(channelType)){
            return TradeBizTypeEnum.MAIL;
        } else if (channelType != null && OrderChannelType.IWC.getCode().equals(channelType)) {
            return TradeBizTypeEnum.MEALS;
        }
        return TradeBizTypeEnum.PLATFORM;
    }

}
